## com.thingmagic
Class SerialReader.ReaderStats

    java.lang.Object
      com.thingmagic.SerialReader.ReaderStats

Enclosing class:
  SerialReader

    public static class SerialReader.ReaderStats

extends java.lang.Object

Reader Stats

Field Summary
`int` `antenna`
`int[]` `connectedAntennaPorts`
`int` `frequency`
`int[]` `noiseFloor`
`byte[]` `noiseFloorTxOn`
`int` `numPorts`
`TagProtocol` `protocol`
`int[]` `rfOnTime`
`int` `temperature`

Constructor Summary
`SerialReader.ReaderStats()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numPorts

    public int numPorts

### frequency

    public int frequency

### temperature

    public int temperature

### antenna

    public int antenna

### rfOnTime

    public int[] rfOnTime

### noiseFloor

    public int[] noiseFloor

### connectedAntennaPorts

    public int[] connectedAntennaPorts

### noiseFloorTxOn

    public byte[] noiseFloorTxOn

### protocol

    public TagProtocol protocol

Constructor Detail

### SerialReader.ReaderStats

    public SerialReader.ReaderStats()